#ifndef __TRIGGER_H__
#define __TRIGGER_H__

#include "config.h"

#define MAX_ENV 30
#define ARRAY_SIZE(x) (sizeof(x)/sizeof(*(x)))

struct event_trigger {
        const char *event_name;
        const char *env;
        char *path;
        int timeout;
};

int trigger_check(char *s);
void run_trigger(struct event_trigger *t, char *argv[], char **env,
                        const char* reporter, char *msg);
void trigger_setup(void);

extern struct event_trigger mc_ce_trigger;
extern struct event_trigger mc_ue_trigger;
#ifdef HAVE_MCE
extern struct event_trigger mce_ce_trigger;
extern struct event_trigger mce_de_trigger;
extern struct event_trigger mce_ue_trigger;
#endif

#endif
